import { h, ref, computed } from 'vue'
import { formInputViewProps } from '../../form-input-props'
export default {
  props: formInputViewProps,
  setup (props) {
    const options = ref([])
    const getOptions = async val => {
      if (props.config?.asyncOptions) {
        options.value = await props.config.asyncOptions(val)
      } else {
        options.value = props.config?.options ?? []
      }
    }
    const viewValue = computed(() => {
      if (options.value.length !== 0 && typeof options.value[0] === 'object') {
        return options.value.filter(v => v.value === props.modelValue)[0]?.label
      }
      return props.modelValue
    })
    getOptions()
    return () => h('span', {}, [viewValue.value])
  }
}
