import { computed, h } from 'vue'
import { formInputViewProps } from '../../form-input-props'
import { useOptions } from '@cip/components/hooks/form-input'
export default {
  props: formInputViewProps,
  setup (props) {
    const { options } = useOptions(props)
    const url = computed(() => {
      return options.value?.find(v => v.value === props.modelValue)?.url ?? ''
    })
    return () => h('img', { src: url.value, width: props.config.width ?? 20, style: 'vertical-align: middle;' })
  }
}
