import { computed, h } from 'vue'
import { isNotEmpty } from '@cip/utils/util'
import { formInputViewProps } from '../../form-input-props'
import { useOptions } from '@cip/components/hooks/form-input'
export default {
  props: formInputViewProps,
  setup (props) {
    const { options } = useOptions(props)
    const showValue = computed(() => {
      const otherKey = props.config?.otherKey
      const otherValue = otherKey ? props.model[otherKey] : undefined
      if (isNotEmpty(otherValue)) {
        return otherValue
      } else {
        return showLabel(options.value)
      }
    })
    const showLabel = (option) => {
      // eslint-disable-next-line
      for (const item of option) {
        if (item[props.config.treeProps.value] === props.modelValue) {
          return item[props.config.treeProps.label]
        }
        if (item.children) showLabel(item.children)
      }
    }
    return () => h('span', {}, [showValue.value])
  }
}
