import { computed, defineComponent } from 'vue'
import { formInputViewProps } from '../../form-input-props'
export default defineComponent({
  props: formInputViewProps,
  setup (props) {
    const fontWeight = computed(() => {
      return props.config.fontWeight ?? 'normal'
    })
    const fontSize = computed(() => {
      return props.config.fontSize + 'px' ?? '14px'
    })
    const textAlign = computed(() => {
      return props.config.textAlign ?? 'left'
    })
    return () => (
      <div id={props.fieldKey} style={{ ...(props.config.inputStyle || {}), fontWeight: fontWeight.value, fontSize: fontSize.value, textAlign: textAlign.value, width: '100%' }}>{props.config.staticInfo}</div>
    )
  }
})
