import BasicNumber from '../../basic/number'
import { useFormInput } from '@cip/components/hooks/form-input'
import { formInputProps } from '../../form-input-props'
import { computed } from 'vue'
import { useRange } from './use-range'
import './index.less'
export default {
  props: formInputProps,
  emits: ['update:modelValue', 'update:otherValue'],
  setup (props, context) {
    const { width, securityConfig, proxyValue, proxyOtherValue } = useFormInput(props, context)
    const style = computed(() => {
      return { 'flex-basis': width.value, 'flex-grow': 0 }
    })
    const { min, max, joint } = useRange(props)
    return () => <div class={'extension-number-range'} style={style.value}>
      <BasicNumber
        v-model={proxyValue.value}
        config={{
          ...securityConfig,
          max: max.value,
          placeholder: securityConfig.value.startPlaceholder
        }}/>
      <span class={'extension-number-range__joint'}>{joint.value}</span>
      <BasicNumber
        v-model={proxyOtherValue[0].value}
        config={{
          ...securityConfig,
          min: min.value,
          placeholder: securityConfig.value.endPlaceholder
        }}/>
    </div>
  }
}
