import { computed } from 'vue'
import CipForm from '../cip-form'
export default {
  name: 'CipFormRender',
  props: {
    scheme: Object,
    model: Object,
    equipment: { type: String, default: 'pc' }
  },
  emits: ['update:model'],
  setup (props, { emit }) {
    const fieldList = computed(() => props.scheme.list || [])
    const labelPosition = computed(() => props.scheme.labelPosition || 'right')
    const labelWidth = computed(() => props.scheme.labelWidth || 100)
    return () => <CipForm

      model={props.model}
      onUpdate:model={(val) => emit('update:model', val)}
      fieldList={fieldList.value}
      labelPosition={labelPosition.value}
      equipment={props.equipment}
      labelWidth={labelWidth.value}
    />
  }
}
